%global __requires_exclude devel\\(libKF5
%define kontact_mobile 0
%define _cmake_skip_rpath %nil

%define addressbookprivate_major 5
%define libkaddressbookprivate %mklibname addressbookprivate %addressbookprivate_major

%define kaddressbook_devel %mklibname kf5kaddressbook -d

Name:       kaddressbook
Summary:    Address Book application to manage your contacts 
Version: 	23.08.5
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2
URL:        http://utils.kde.org/projects/kdepim
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake 
BuildRequires: lib64boost-devel 
BuildRequires: lib64ical-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadicontact-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5akonadisearch-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5grantleetheme-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5imap-devel 
BuildRequires: lib64kf5kcmutils-devel 
BuildRequires: lib64kf5kcontacts-devel 
BuildRequires: lib64kf5kontactinterface-devel 
BuildRequires: lib64kf5libkdepim-devel 
BuildRequires: lib64kf5parts-devel 
BuildRequires: lib64kf5pimcommon-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kitemmodels-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: qtbase5-common-devel 

Requires: akonadi-kde



%description
KAddressBook stores all the personal details of your family, friends and other
contacts.

Features:
    - Imports and exports to nearly every address book standard
    - Reads .vcf format files, and can import and export vCards and csv format
      files
    - Can use multiple LDAPservers
    - Configurable filters and powerful search capabilities
    - Integrates with other Kontact components, e.g. exporting Birthday
      reminders to KOrganizer
    - Capable of groupware integration
    - Powered by Akonadi

%files
%{_bindir}
%{_datadir}
/usr/lib64/lib*.so.*
/usr/lib64/qt5/plugins/kaddressbookpart.so
/usr/lib64/qt5/plugins/pim5/kcms/kaddressbook/kaddressbook_config_plugins.so
/usr/lib64/qt5/plugins/pim5/kontact/kontact_kaddressbookplugin.so

%package -n %kaddressbook_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       kaddressbook = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kaddressbook_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kaddressbook_devel
/usr/include
/usr/lib64/cmake
/usr/lib64/lib*.so
/usr/lib64/qt5/mkspecs
   
%prep
%setup -q
%autopatch -p1

%build
sd "5.19.3" "5.19.3" CMakeLists.txt
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -Wno-dev

%ninja_build


%install
rm -rf %buildroot
%ninja_install -C build



%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

